Qt Creator在选择Qt版本时提示“无效的Qt版本”的问题

故障现象:一台基于Windows 10 Enterprise LTSC 2019的开发机,安装了Qt 4.8.7 Windows端开发套件Qt Creator 4.3.1 Windows端IDE,从Qt Creator菜单栏的 [工具(Tools)] > [选项(Options)] > [构建和运行(Build & Run)] > [Qt Versions] 选项卡中配置Qt 4.8.7时,选择C:\Qt\4.8.7\bin\qmake.exe(Qt 4.8.7套件的安装位置)后报错,提示“无效的Qt版本”。

处理方法:在资源管理器中导航到C:\Qt\4.8.7\bin\,创建一个名为qt.conf的文件,输入以下内容并保存,随后在Qt Creator中重新添加C:\Qt\4.8.7\bin\qmake.exe即可。

[paths]
Prefix = ..

参考资料:https://ask.csdn.net/questions/7635646

it
除非特别注明,本页内容采用以下授权方式: Creative Commons Attribution-ShareAlike 3.0 License